# RouterChainRule Class Reference

Inheritance diagram for RouterChainRule:
[legend]

List of all members.

## Public Member Functions

| chain (RouterRule $route, $separator= '/')
| getCount ()
| match (HttpRequest $request)
| Matches a user submitted path with parts defined by a map.
| assembly (array $data=array(), $reset=false, $encode=false)

## Static Public Member Functions

static | create ()

## Protected Attributes

| $routes = array()
| $separators = array()

## Detailed Description

Definition at line 12 of file RouterChainRule.class.php.

## Member Function Documentation

RouterChainRule::assembly | ( | array $ | data = `array()`,
|  | $ | reset = `false`,
|  | $ | encode = `false` |
| ) |  |  |

Implements RouterRule.

Definition at line 57 of file RouterChainRule.class.php.

RouterChainRule::chain | ( | RouterRule $ | route,
|  | $ | separator = `'/'` |
| ) |  |  |

Returns:
  RouterChainRule

Reimplemented from RouterBaseRule.

Definition at line 28 of file RouterChainRule.class.php.

static RouterChainRule::create | ( |  | ) | `[static]`

Returns:
  RouterChainRule

Definition at line 20 of file RouterChainRule.class.php.

RouterChainRule::getCount | ( |  | ) |

Definition at line 36 of file RouterChainRule.class.php.

RouterChainRule::match | ( | HttpRequest $ | request | ) |

Matches a user submitted path with parts defined by a map.

Assigns and returns an array of variables on a successful match.

Returns:
  array An array of assigned values or empty array() on a mismatch

Implements RouterRule.

Definition at line 41 of file RouterChainRule.class.php.

## Member Data Documentation

RouterChainRule::$routes = array()`[protected]`

Definition at line 14 of file RouterChainRule.class.php.

RouterChainRule::$separators = array()`[protected]`

Definition at line 15 of file RouterChainRule.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Routers/RouterChainRule.class.php